GET /intersections/nearest.{outputFormat}

gov.bc.ca:geocoder

Summary: Find nearest intersection to a geographic point
Operation ID:
Auth: unknown
Description

Represents the closest intersection to a given point

Parameters (6)

maxDegree (integer, query, optional, default: 100)

The maximum degree an interesection can have to be included in results. A four-way stop has a degree of 4.

maxDistance (integer, query, optional)

The maximum distance (in metres) to search from the given point. If not specified, the search distance is unlimited.

minDegree (integer, query, optional, default: 2)

The minimum degree an intersection can have to be included in results. A dead-end has a degree of 1.

outputFormat (string, path, required, default: json)

Results format. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#outputFormat target="_blank">outputFormat</a>. Note: GeoJSON and KML formats only support EPSG:4326 (outputSRS=4326)

Constraints: {'enum': ['json', 'geojson', 'xhtml', 'kml', 'gml', 'csv', 'shpz']}

outputSRS (integer, query, optional, default: 4326)

The EPSG code of the spatial reference system (SRS) to use for output geometries. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#outputSRS target="_blank">outputSRS</a>

Constraints: {'enum': [4326, 4269, 3005, 26907, 26908, 26909, 26910, 26911]}

point (string, query, required)

Example: -122.377,50.121 The point (x,y) from which the nearest site will be identified. The coordinates must be specified in the same SRS as given by the 'outputSRS' parameter.

No probe data for this endpoint yet.